<template>
    <div class="frame-content-close" v-show="! hasStartedSessionBuilder">
        <div class="content-inicio-curso">
            <div class="content-session">
                <span class="content-session-detail ">
                    <b>¡ Hola {{ current_user.name }} !</b><br> ¿Listo para crear sesiones?
                    </span>

                <div class="icon-inicio">
                    <i class="ti-gallery"></i>
                </div>
                <a class="close-btn  waves-effect waves-light" href="#ir-content" @click.prevent="startBuilderSession">
                    <i class="ti-plus"></i>
                </a>
            </div>
        </div>
    </div>
</template>

<script>
import {mapGetters, mapActions } from 'vuex'
export default {
    computed: {
        ...mapGetters(['hasStartedSessionBuilder', 'current_user'])
    },
    methods: {
        startBuilderSession(){
            this.addNewSession()
            this.startBuilding()
        },
        ...mapActions(['startBuilding', 'addNewSession'])
    },
}
</script>
